"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = attachImport;

var t = _interopRequireWildcard(require("@babel/types"));

function _interopRequireWildcard(obj) { if (obj && obj.__esModule) { return obj; } else { var newObj = {}; if (obj != null) { for (var key in obj) { if (Object.prototype.hasOwnProperty.call(obj, key)) { var desc = Object.defineProperty && Object.getOwnPropertyDescriptor ? Object.getOwnPropertyDescriptor(obj, key) : {}; if (desc.get || desc.set) { Object.defineProperty(newObj, key, desc); } else { newObj[key] = obj[key]; } } } } newObj.default = obj; return newObj; } }

function attachImport(context, program) {
  var importDeclaration = t.importDeclaration([t.importDefaultSpecifier(t.identifier(context.libraryId))], t.stringLiteral(context.libraryName));
  importDeclaration.importKind = 'value';
  context.shouldImport = false;
  var last;
  var _iteratorNormalCompletion = true;
  var _didIteratorError = false;
  var _iteratorError = undefined;

  try {
    for (var _iterator = program.get('body')[Symbol.iterator](), _step; !(_iteratorNormalCompletion = (_step = _iterator.next()).done); _iteratorNormalCompletion = true) {
      var item = _step.value;

      if (item.isDirective() || item.isImportDeclaration()) {
        last = item;
        continue;
      }

      item.insertBefore(importDeclaration);
      return;
    }
  } catch (err) {
    _didIteratorError = true;
    _iteratorError = err;
  } finally {
    try {
      if (!_iteratorNormalCompletion && _iterator.return != null) {
        _iterator.return();
      }
    } finally {
      if (_didIteratorError) {
        throw _iteratorError;
      }
    }
  }

  if (last) {
    last.insertAfter(importDeclaration);
  } else {
    program.get('body').unshiftContainer('body', importDeclaration);
  }
}